blastcazy <- function(filename, evalue = 0.01, identity = 0, coverage = 0, hits = c("uniq", "multiple"), output = c("dense","full")){
  type <- match.arg(hits)
  output <- match.arg(output)
  system(paste ("transeq -frame 6 -sequence", filename,  "-outseq genomic_prot.fa"))
  system("makeblastdb -in genomic_prot.fa -dbtype 'prot' -parse_seqids",intern=FALSE)
  if(hits=="multiple") {
    blast_out <- read.table(text = system(paste("blastp -query list_acc.fa -task 'blastp' -db genomic_prot.fa -evalue", as.character(evalue), "-outfmt '6 std qlen qcovhsp'"), intern = TRUE))
  }
  else if(hits=="uniq") {
    blast_out <- read.table(text = system(paste("blastp -query list_acc.fa -task 'blastp' -db genomic_prot.fa -evalue", as.character(evalue), "-outfmt '6 std qlen qcovhsp' -max_target_seqs 1 -max_hsps 1"), intern = TRUE))
  }
  blast_filter <- blast_out[ which( blast_out$V3 > identity & blast_out$V14 > coverage) , ]
  write.table(blast_filter, file = "list_acc_blastp.txt", quote = FALSE, sep = " ", row.names = FALSE, col.names = FALSE)
  system("bash /home/uoc/Desktop/Scripts/getfasta_blast.sh")
  if(output=="full"){
    blast_sorted <- blast_filter[order(blast_filter[,2]),]
    colnames(blast_sorted) <- c("query_id","subject_id","pct_identity","aln_length","n_of_mismatches","gap_openings","q_start","q_end","s_start","s_end","e_value","bit_score","qlen","coverage")
  }
  else if(output=="dense"){
    blast_merged <- read.table("list_acc_blastp.merge")
    blast_sorted <- blast_merged[order(blast_merged[,1]),]
    colnames(blast_sorted) <- c("sequence","start_candidate_region","end_candidate_region")
  }
  return(blast_sorted)
}
