hmmercazy <- function(align = c("clustalo", "muscle"), evalue = 10, output = c("dense","full")){
  align <- match.arg(align)
  output <- match.arg(output)
  if (align=="clustalo") {
    system("clustalo -i list_acc.fa -o list_acc_align.fa --force")
  }
  else if(align=="muscle") {
    system("muscle -in list_acc.fa -out list_acc_align.fa")
  }
  system2("hmmbuild", args = c("list_acc_align.hmm", "list_acc_align.fa"), stdout = FALSE)
  system2("hmmsearch", args = c("--domtblout genomic_prot_hmm_domtbl", paste("--domE", evalue), "list_acc_align.hmm", "genomic_prot.fa"), stdout = FALSE)
  system ("bash /home/uoc/Desktop/Scripts/getfasta_hmmer.sh")
  if(output=="dense") {
    hmmerdom <- read.table("genomic_prot_hmm.merge")
    colnames(hmmerdom) <- c("sequence","start_candidate_region","end_candidate_region")
  }
  else if (output=="full") {
    hmmerdom <- read.table("genomic_prot_hmm_domtbl")
    hmmerdom <- hmmerdom[,c(1,3:4,6:8,10:14,16:19,22)]
    colnames(hmmerdom) <- c("target_name","tlen","query_name","qlen", "E-value_seq","score_seq","#",
                            "of","c-Evalue_dom","i-Evalue_dom","score_dom","hmm_from","hmm_to","ali_from","ali_to","acc")
  }
  return(hmmerdom)
}


