searchcazy <- function(pattern, organism, type = c("PROT", "FAM")) {
  ## evaluate choices
  type <- match.arg(type)
  if(type=="PROT")
    df <- dbCAZy[grepl(pattern, dbCAZy$protein_name)&!(grepl("XP_",dbCAZy$genbank)),]
  else if(type=="FAM")
    df <- dbCAZy[grepl(paste0("\\<",pattern,"\\>"), dbCAZy$family)&!(grepl("XP_",dbCAZy$genbank)),]
  if(missing(organism)) {
    acc <- unique(df$genbank)
  } else {
    df_org <- df[grepl(organism, df$organism),]
    acc <- unique(df_org$genbank)
  }
  write.table(acc, file = "list_acc.txt", quote = FALSE, sep = "\n", row.names = FALSE, col.names = FALSE)
  system ("efetch -db protein -id $(paste -s -d ',' list_acc.txt) -format fasta > list_acc.fa")
  paste(system("grep -c '^>' list_acc.fa", intern=TRUE),"sequences retreived")
}
